import { container } from 'tsyringe';
import IPdfToTextProvider from './providers/pdfToText/IPdfToTextProvider';
import LinuxPdfToText from './providers/pdfToText/implementations/LinuxPdfToText';

container.registerSingleton<IPdfToTextProvider>('PdfToTextProvider', LinuxPdfToText);
