import pdfParse from 'pdf-parse';
import fs from 'fs';
import IPdfToTextProvider from '../IPdfToTextProvider';

export default class PdfParseProvider implements IPdfToTextProvider {
  public async extract(filePath: string): Promise<string> {
    const dataBuffer = fs.readFileSync(filePath);

    const data = await pdfParse(dataBuffer);

    return data.text;
  }
}
