import { Router } from 'express';
import multer from 'multer';
import uploadConfig from '../../config/upload';
import ExempleController from '../controllers/ExempleController';

const exempleRoutes = Router();
const exempleController = new ExempleController();
const upload = multer(uploadConfig.tempdir);

exempleRoutes.post('/exemple', upload.array('pdf'), exempleController.exemple);

export default exempleRoutes;
